
Katello - Bug #4730

api v2 users controller should extend foreman controller

03/19/2014 08:27 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

With dynamic bindings, there is no more /users vs. /katello/users path so all /users calls go to katello controller. Like organizations,

any controllers for models that extend foreman core need to extend the foreman controllers. Users are one of these.

Associated revisions

Revision aeaaaff6 - 03/19/2014 09:47 PM - Thomas McKay

fixes #4730 - 4730-userapi - extend foreman's v2 api user controller

Revision f783fb0c - 03/20/2014 05:35 PM - Thomas McKay

Merge pull request #3848 from thomasmckay/4730-userapi

fixes #4730 - 4730-userapi - extend foreman's v2 api user controller

History

#1 - 03/19/2014 09:48 PM - Thomas McKay

- Assignee set to Thomas McKay

#2 - 03/20/2014 05:52 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:aeaaaff6bcc34a672142d0aa5342d26c94d3a337.

#3 - 06/06/2014 01:41 PM - Eric Helms

- Triaged set to Yes

#4 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13
